import { MyInfoResp, LiveRoom } from "./types/user";
interface Info extends MyInfoResp {
    liveroom?: LiveRoom;
}
/**
 * 保存各种凭据
 */
export declare class BiliCredential {
    cookie: {
        SESSDATA: string;
        bili_jct: string;
    };
    cookie_str: string;
    csfr: string;
    uid: number;
    dev_id: string;
    refreshToken: string;
    timestamp: number;
    dedeUserID__ckMd5: string;
    info: Info;
    valid: Boolean;
    /**
     * @param SESSDATA 必要
     * @param bili_jct 必要
     * @param extra uid: 用户uid; dev_id: device id，不传的话会自动生成
     */
    constructor(SESSDATA: string, bili_jct: string, extra?: {
        uid?: number;
        refreshToken?: string;
        dev_id?: string;
        timestamp?: number;
        dedeUserID__ckMd5?: string;
    });
    validCredit(): Promise<boolean>;
}
export {};
//# sourceMappingURL=biliCredential.d.ts.map