"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BiliCredential = void 0;
const user_1 = require("./user");
;
/**
 * 保存各种凭据
 */
class BiliCredential {
    /**
     * @param SESSDATA 必要
     * @param bili_jct 必要
     * @param extra uid: 用户uid; dev_id: device id，不传的话会自动生成
     */
    constructor(SESSDATA, bili_jct, extra) {
        this.cookie = { SESSDATA, bili_jct };
        this.csfr = bili_jct;
        this.uid = extra?.uid ? extra?.uid : 0;
        this.refreshToken = extra?.refreshToken ? extra?.refreshToken : "";
        this.timestamp = extra?.timestamp ? extra?.timestamp : Date.now();
        this.dedeUserID__ckMd5 = extra?.dedeUserID__ckMd5 ? extra?.dedeUserID__ckMd5 : "";
        this.valid = false;
        let tmp = [];
        for (let [k, v] of Object.entries(this.cookie)) {
            tmp.push(`${k}=${v}`);
        }
        this.cookie_str = tmp.join("; ");
        if (extra?.dev_id) {
            if (!/[\dA-F]{8}-[\dA-F]{4}-4[\dA-F]{3}-[\dA-F]{4}-[\dA-F]{12}/.test(extra?.dev_id)) {
                throw "dev_id 不符合规范，参考https://github.com/SocialSisterYi/bilibili-API-collect/blob/master/message/private_msg.md";
            }
        }
        else {
            this.dev_id = "xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx".replace(/[xy]/g, (name => {
                let randomInt = 16 * Math.random() | 0;
                return ("x" === name ? randomInt : 3 & randomInt | 8).toString(16).toUpperCase();
            }));
        }
    }
    async validCredit() {
        return user_1.User.myInfo(this).then(async (res) => {
            if (!this.uid)
                this.uid = res.mid;
            this.info = res;
            this.valid = true;
            return true;
        }).catch((err) => {
            console.error("登录失效", err);
            this.uid = 0;
            this.valid = false;
            return false;
        });
    }
}
exports.BiliCredential = BiliCredential;
//# sourceMappingURL=biliCredential.js.map