/// <reference types="node" />
/// <reference types="node" />
import * as fs from "fs-extra";
import { BiliCredential } from "./biliCredential";
import { ParseAt, ResInfo, UploadBfsResp } from "./types/common";
/**
 * 共通
 */
export declare class Common {
    /**
     * 处理at
     * @param text 文本
     * @returns
     */
    static parseAt(text: string): Promise<ParseAt>;
    /**
     * 上传文件
     * @param file 上传文件
     * @returns
     */
    static uploadBfs(file: string | Buffer | fs.ReadStream, credential: BiliCredential): Promise<UploadBfsResp>;
    static expandShortUrl(shortUrl: string): Promise<string>;
    static resInfo(url: string): Promise<ResInfo>;
    static avBvInterchange(id: string): string;
}
//# sourceMappingURL=common.d.ts.map