/// <reference types="node" />
import { BiliCredential } from "./biliCredential";
import { GetQRResp } from "./types/login";
/**
 * 登录
 */
export declare class Login {
    constructor();
    /**
     * 获取二维码链接
     * @returns
     */
    private static _getQRcode;
    /**
     * 进行扫码登录
     * @param oauthKey 扫码登录秘钥
     * @returns
     */
    private static _getQRloginInfo;
    /**
     * 输出QRcode渲染结果
     * @param output 选择输出形式
     */
    private static _renderQR;
    /**
     * 扫码登录
     * @returns
     */
    static loginQR(output: "string" | "url" | "terminal" | "buffer" | undefined, callback: (credential: BiliCredential) => any): Promise<GetQRResp | string | void | Buffer>;
}
//# sourceMappingURL=login.d.ts.map