"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Request = void 0;
const axios_1 = require("axios");
const FormData = require("form-data");
const qs = require("qs");
/**
 * 请求
 */
class Request {
    static async request(url, method, params = {}, data, credential) {
        const headers = {
            "User-Agent": this.user_agent,
            "Referer": this.referer,
            "Cookie": credential ? credential.cookie_str : "",
            "Content-Type": data instanceof FormData
                ? data.getHeaders()["content-type"] : "application/x-www-form-urlencoded"
        };
        return (0, axios_1.default)(url, {
            method: method,
            headers: headers,
            params: params,
            data: data
        }).then(res => {
            if (res.data.code !== 0)
                throw res.data;
            else
                return res.data;
        });
    }
    static async get(url, params = {}, credential) {
        return this.request(url, "GET", params, {}, credential);
    }
    static async post(url, data, credential) {
        if (!(data instanceof FormData))
            data = qs.stringify(data);
        return this.request(url, "POST", {}, data, credential);
    }
    static async head(url, params = {}, credential) {
        return this.request(url, "HEAD", {}, params, credential);
    }
}
exports.Request = Request;
Request.user_agent = "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/92.0.4515.131 Safari/537.36";
Request.referer = "https://www.bilibili.com";
//# sourceMappingURL=request.js.map